<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
////////////////////////////////// generando FAOV 
if ($_POST['treporte']==1) {
?>
<html>
<head>
 <meta charset="UTF-8">
</head>
<body>
<?php
		$query='';
		if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
		if ($_POST['gerencia']!='') $query .= " and personal.gerencia = '".$_POST['gerencia']."' ";
		if ($_POST['division']!='') $query .= " and personal.division = '".$_POST['division']."' ";
		if ($_POST['departamento']!='') $query .= " and personal.departamento = '".$_POST['departamento']."' ";
		$consulta = "select * from personal where id='".$_SESSION['id_validar']."'  $query order by codigo"; //and status<>'I'
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$data=array();

		//Generación de archivo
		$fecha_lote_otros = date("dmY-His"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
		$fileName = "pago_faov-".$fecha_lote_otros.".txt";
		$fo = "faov_txt/".$fileName;
		$fileReporte = fopen($fo,"w+");

		while ($row=mysqli_fetch_array($resultado)) {

			$nac=(strtoupper($row['nacionalidad']) != 'E' ? 'V' : 'E');
			if ($nac!='V') $nac='E';
			if ($row['status']=='C') $fechae='';
			else {
				if ($row['fechae']=='0000-00-00') $fechae='';
				else $fechae=$row['fechae'];
			}

			///Busco los trabajadores y lo retenido a cada uno por RPVH
			//FROM costo_laboral AS costo_laboral JOIN personal AS personal ON
			//$consulta2="Select sum(h.monto) as total, h.cedula, c.cedula FROM historico AS h JOIN concepto_empleado AS c ON c.cedula!=h.cedula where c.cedula!=h.cedula AND h.id='".$_SESSION['id_validar']."' and h.cedula='".$row['codigo']."' and substring(h.concepto,1,1)='1' AND h.concepto!='1490' AND h.concepto!='1498' AND h.concepto!='1499' AND h.concepto!='1581' AND h.concepto!='1590' AND h.concepto!='1598' AND h.concepto!='1599' and h.nomina='".substr($_POST['per1'],13,3)."' and h.periodo>='".substr($_POST['per1'],0,3)."' and h.periodo<='".substr($_POST['per2'],0,3)."' ";
			
			
			//$consulta2="Select sum(monto) as total from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$row['codigo']."'AND historico.tipo='A' AND substr(concepto,1,1)='1' and historico.nomina='".substr($_POST['per1'],13,3)."' and periodo>='".substr($_POST['per1'],0,3)."' and periodo<='".substr($_POST['per2'],0,3)."' AND historico.nomina!='300'";
			
			$consulta2="Select sum(monto) as total 
			FROM historico 
			WHERE historico.id='".$_SESSION['id_validar']."' 
			AND cedula='".$row['codigo']."'
			AND historico.tipo='A' 
			AND concepto IN(
			'1501',
			'1511',
			'1001',
			'1103',
			'1105',
			'1106',
			'1107',
			'1110',
			'1108',
			'1109',
			'1111',
			'1112',
			'1119',
			'1201',
			'1205',
			'1214',
			'1215') and substr(desperiodo,1,10)>='".substr($_POST['per1'],0,10)."' AND  substr(desperiodo,15,10)<= '".substr($_POST['per2'],0,10)."' AND historico.nomina!='300' having sum(monto) > 0";

			
			$resultado2 = mysqli_query($enlace,$consulta2) or die ("no se pudo realizar la consulta...".$consulta2.'='.mysqli_error($enlace));
			if (mysqli_num_rows($resultado2)!=0) {
			   $row2=mysqli_fetch_array($resultado2);
			   $total=$row2['total'];

			   ///////////Consulta para traer lo retenido Faov en Utilidades
				$consulta33="Select monto from utilidades where id='".$_SESSION['id_validar']."' and cedula='".$row['codigo']."' and concepto IN('8115', '8115')  and fecha>='".substr($_POST['per1'],0,10)."' and fecha<='".substr($_POST['per2'],0,10)."' ";
				$resultado33 = mysqli_query($enlace,$consulta33) or die ("no se pudo realizar la consulta...".$consulta2.'='.mysqli_error($enlace));
					$row33=mysqli_fetch_array($resultado33);
					$rpvhUtilidades=$row33['monto'];

					///////////Consulta para traer lo retenido Faov en Vacaciones
				$consulta44="Select SUM(rpvh_vac) as monto from vacacion where id='".$_SESSION['id_validar']."' and cedula='".$row['codigo']."' and fdesde>='".substr($_POST['per1'],0,10)."' and fdesde<='".substr($_POST['per2'],0,10)."'";
				$resultado44 = mysqli_query($enlace,$consulta44) or die ("no se pudo realizar la consulta...".$consulta2.'='.mysqli_error($enlace));
					$row44=mysqli_fetch_array($resultado44);
					$rpvhVacaciones=$row44['monto']*100;

					///////////Consulta para traer lo retenido Faov en LIQUIDACIONES
				$consulta55="Select faov as monto from liquidaciones where id='".$_SESSION['id_validar']."' and cedula='".$row['codigo']."' and fecha_pago>='".substr($_POST['per1'],0,10)."' and fecha_pago<='".substr($_POST['per2'],0,10)."'";
				$resultado55 = mysqli_query($enlace,$consulta55) or die ("no se pudo realizar la consulta...".$consulta2.'='.mysqli_error($enlace));
				$row55=mysqli_fetch_array($resultado55);
				$rpvhLiquidaciones=$row55['monto']*100;

				if(floatval($total)>0){
					$total=$total;
					//$total.="00";
					//$total=round(floatval($total)/0.01,2);
					//$ingreso=substr($total,0,strlen($total)-3).substr($total,strlen($total)-2,2);

					$ingreso=($total + $rpvhUtilidades + $rpvhVacaciones + $rpvhLiquidaciones);
					$ingreso=number_format($ingreso,2,'','');

					if ( $ingreso >=13000){
						$ingreso=$ingreso;
					}
					else $ingreso= 13000;
							//$ingreso=number_format($total,2,'');
							//$ingreso=str_replace($total,".","");

					// echo ($nac.",".trim($row['codigo']).",".trim($row['nombres']).",".trim($row['nombres1']).",".trim($row['apellidos']).",".trim($row['apellidos1']).",".trim($ingreso).",".substr($row['fechai'],8,2).substr($row['fechai'],5,2).substr($row['fechai'],0,4).",".substr($fechae,8,2).substr($fechae,5,2).substr($fechae,0,4)."<br/>");
					fwrite($fileReporte,$nac.",".trim($row['codigo']).",".trim($row['nombres']).",".trim($row['nombres1']).",".trim($row['apellidos']).",".trim($row['apellidos1']).",".trim($ingreso).",".substr($row['fechai'],8,2).substr($row['fechai'],5,2).substr($row['fechai'],0,4).",".substr($fechae,8,2).substr($fechae,5,2).substr($fechae,0,4));
					fwrite($fileReporte,"\r\n"); //Nueva Linea
				}

			}
		}

		fclose($fileOtros);

		echo "<style>
			.regristrado{
					color: green;
					margin-left: 7%;
					font-weight: bold;
			}
		</style>";
		echo "<p class='regristrado' >Reporte generado correctamente <a href = 'generar_txt.php?specialPayment=$fileName&directory=faov_txt';>Descargar</a><p>";

		echo "<a id='link1' target='_blank' href = 'generar_txt.php?specialPayment=$fileName&directory=faov_txt';></a>";
		echo "<script> document.getElementById('link1').click();</script>";


	/*$data=implode("\n",$data);
	$arch="FAOV.txt";
	header("Content-type: text/csv;charset=UTF-8");
	header("Content-Disposition: attachment; filename=".$arch);
	header("Pragma: no-cache");
	header("Expires: 0");
	echo ($data);*/
?>
</body>
</html>
<?php
	exit();
}



?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td>
			</tr>
		</table><hr>
<?
	echo "<font face='Verdana, Arial, Helvetica, sans-serif' size=4>Generar Archivos Textos</font>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Texto para FAOV</option>

					</select>
				</td>
				</tr>";
				//<option value='5'>Reporte INCES</option> lo saqué aparte (reporte_INCES.php)
				//<option value='4'>Libro de Vacaciones</option> lo saqué en un archivo aparte (reporte_vacaciones.php)
				//Miguelangel 20-04-2020

			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='200' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta);
				if ($x!=1) {
					echo "<option>".$row1['desde'];
				}
			}
			echo "</select>";
			echo "</td></tr>";

			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='200' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta);
				if ($x!=1) {
					echo "<option>".$row1['hasta'];
				}
			}
			echo "</select>";
			echo "</td></tr>";

			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";

			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";

			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";

			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='GENERAR REPORTE'>";
			echo "</td></tr>";
			echo "</table></form></font>";
?>

	</body>
</html>
